import * as VueRouter from 'vue-router'

const routes = [
    {
        path: "/",
        name: "Main",
        component: () => import('../pages/Main/Main.vue')
    },
    {
        path: "/login",
        name: "Login",
        component: () => import('../pages/Login/Login.vue'),
        meta: { title: '用户登录' },
        children: [
            {
                name: "WXLoginStage2",
                path: "Stage2",
                component: () => import('../pages/Login/WXLoginStage2.vue'),
                meta: { title: '企业微信登录' }
            }
        ]
    },
    {
        path: "/Mine",
        name: "Mine",
        component: () => import('../pages/Mine/Mine.vue'),
        meta: { title: '个人中心' }
    },
    {
        path: "/ClockIn",
        name: "ClockInList",
        component: () => import('../pages/ClockIn/ClockInList.vue'),
        meta: { title: '考勤列表' }
    },
    {
        path: "/ClockIn/:id",
        name: "ClockIn",
        component: () => import('../pages/ClockIn/ClockIn.vue'),
        meta: { title: '考勤打卡' }
    },
    {
        path: "/ClockInManage",
        name: "ClockInManage",
        component: () => import('../pages/Admin/ClockIn/ClockInManage.vue'),
        meta: { title: '考勤管理' }
    },
    {
        path: "/ClockInManage/Edit/:id",
        name: "EditAttendenceItem",
        component: () => import('../pages/Admin/ClockIn/components/EditItem.vue'),
        meta: { title: '编辑考勤项目' }
    },
    
    {
        name: "UpdateInfo",
        path: "/UpdateInfo",
        component: () => import('../pages/Setup/UpdateInfoStage1.vue'),
        meta: { title: '更新个人信息' },
        children: [
            {
                name: "UpdateInfoStage2",
                path: "Stage2",
                component: () => import('../pages/Setup/UpdateInfoStage2.vue'),
                meta: { title: '更新个人信息' }
            }
        ]
    },
    {
        path: "/Admin",
        name: "Admin",
        component: () => import('../pages/Admin/Admin.vue'),
        meta: { title: '网站管理' }
    },

]

const router = VueRouter.createRouter({
    history: VueRouter.createWebHashHistory(),
    routes: routes
});

router.beforeEach((to, from, next) => {
    if (!to.meta.title) 
        document.title = 'Double_X 考勤'
    else
        document.title = to.meta.title
    next();
})

export { router };
